1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Erro Manifest merger failed : Attribute application@appComponentFactory...

Discussion in 'Technology' started by Gean Carlos Brandão, Oct 8, 2018.

  1. Estou com este erro no meu programa Android e não sei como resolver. Alguém tem ideia do que pode ser ?

    Manifest merger failed : Attribute application@appComponentFactory value=(android.support.v4.app.CoreComponentFactory) from [com.android.support:support-compat:28.0.0] AndroidManifest.xml:22:18-91
    is also present at [androidx.core:core:1.0.0] AndroidManifest.xml:22:18-86 value=(androidx.core.app.CoreComponentFactory).
    Suggestion: add 'tools:replace="android:appComponentFactory"' to <application> element at AndroidManifest.xml:5:5-22:19 to override.


    Aqui abaixo está o build.gradle(app)

    apply plugin: 'com.android.application'

    android {
    compileSdkVersion 28
    defaultConfig {
    applicationId "com.example.gean.cardapioru"
    minSdkVersion 23
    targetSdkVersion 28
    versionCode 1
    versionName "1.0"
    testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
    release {
    minifyEnabled false
    proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    }
    }
    productFlavors {
    }
    }

    dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    //noinspection GradleCompatible
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    implementation 'com.google.firebase:firebase-database:16.0.3'
    implementation 'com.google.firebase:firebase-messaging:17.3.3'
    implementation 'com.firebase:firebase-client-android:2.5.0'
    implementation 'com.google.firebase:firebase-storage:16.0.3'
    implementation 'com.google.firebase:firebase-core:16.0.4'
    implementation 'com.github.chrisbanes:photoView:2.2.0'
    implementation 'com.google.firebase:firebase-inappmessaging-display:17.0.2'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    }

    apply plugin: 'com.google.gms.google-services'


    Estou usando uma biblioteca para dar zoom em uma imageView

    implementation 'com.github.chrisbanes:photoView:2.2.0'

    Quando eu coloco a versão dessa linha acima para

    implementation 'com.github.chrisbanes:photoView:2.1.4'

    Funciona o aplicativo, ele instala e tudo porém não funciona para dar Zoom.

    Alguém já passou por isso, ou sabe o que está acontecendo e pode me ajudar.

    Aqui está a classe que eu uso para tentar dar zoom na imagem

    public class MainActivity extends AppCompatActivity {

    ImageView mTelles, mSantaCruz;
    // abaixo está o tipo que supostamente deveria permitir dar zoom na imagem
    PhotoViewAttacher mAttacherS; // biblioteca especial para dar zoom, mas não funcionou Ver por que
    PhotoViewAttacher mAttacherT;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_main);
    FirebaseStorage storage = FirebaseStorage.getInstance();
    StorageReference storageRef = storage.getReference();

    mTelles = (ImageView) findViewById(R.id.imageView_telles);
    mSantaCruz = (ImageView) findViewById(R.id.imageView_santa_cruz);
    mAttacherS = new PhotoViewAttacher(mSantaCruz);
    mAttacherT = new PhotoViewAttacher(mTelles);

    Login To add answer/comment
     

Share This Page